package com.example.sdksamples;

import com.impinj.octane.ImpinjReader;
import com.impinj.octane.TagReport;
import com.impinj.octane.TagReportListener;

public class TagReportCounterImplementation implements TagReportListener {

    static int count;

    TagReportCounterImplementation() {
        count = 0;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int value) {
        count = value;
    }

    @Override
    public void onTagReported(ImpinjReader reader, TagReport report) {
        count++;
    }
}
